<ng-container *ngIf="user">
    <section class="content">

        <app-teacher-dashboard *ngIf="user.user_type === 3">
            <ng-container *ngTemplateOutlet="loading"></ng-container>
        </app-teacher-dashboard>
        <app-student-dashboard *ngIf="user.user_type === 5">
            <ng-container *ngTemplateOutlet="loading"></ng-container>
        </app-student-dashboard>

    </section>
</ng-container>

<ng-template #loading>
    <div class="container">
        <div class="row justify-content-center">
            <div class="centered">
                <span class="fa fa-spinner fa-spin"></span>
            </div>
        </div>
    </div>
</ng-template>